parameters:
    sets:
        - 'symfony'
        - 'clean-code'
    paths:
        - 'src'
        - 'tests'
#    PhpCsFixer\Fixer\ArrayNotation\ArraySyntaxFixer:
#        syntax: short
#    # use ::class
#    Symplify\CodingStandard\Fixer\Php\ClassStringToClassConstantFixer: ~
#
#    # keep line-lenght constant
#    Symplify\CodingStandard\Fixer\LineLength\LineLengthFixer:
#        - lineLength: 120
#
#    # default value for array property
#    Symplify\CodingStandard\Fixer\Property\ArrayPropertyDefaultValueFixer: ~

# every non-Entity non-abstract class must be final - you have to skip those that are used + have children, like this ↓
#    PhpCsFixer\Fixer\ClassNotation\FinalClassFixer: ~